Bug 24436 - Record if a transfer was triggered by a 'hold'
Summary: Record if a transfer was triggered by a 'hold'
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 24299
Blocks: 24297
  Show dependency treegraph
 
Reported: 2020-01-16 16:48 UTC by Martin Renvoize
Modified: 2020-04-03 21:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24436: Add 'Reserve' options to branchtransfers trigger (2.57 KB, patch)
2020-01-17 11:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add handling for reserve transfer triggers (1.96 KB, patch)
2020-01-17 11:21 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add 'Reserve' options to branchtransfers trigger (2.57 KB, patch)
2020-01-17 11:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add handling for reserve transfer triggers (1.96 KB, patch)
2020-01-17 11:52 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add 'Reserve' options to branchtransfers trigger (2.57 KB, patch)
2020-01-17 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add handling for reserve transfer triggers (1.96 KB, patch)
2020-01-17 16:02 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add 'Reserve' options to branchtransfers trigger (2.63 KB, patch)
2020-03-12 12:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24436: Add handling for reserve transfer triggers (2.71 KB, patch)
2020-03-12 12:52 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 24436: Add 'Reserve' options to branchtransfers trigger (3.93 KB, patch)
2020-03-20 12:01 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24436: Add handling for reserve transfer triggers (2.71 KB, patch)
2020-03-20 12:01 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-01-16 16:48:56 UTC
Using the new 'trigger' field in branchtransfers to record if a transfer was added by a reserve.
Comment 1 Martin Renvoize 2020-01-17 11:21:41 UTC
Created attachment 97498 [details] [review]
Bug 24436: Add 'Reserve' options to branchtransfers trigger
Comment 2 Martin Renvoize 2020-01-17 11:21:44 UTC
Created attachment 97499 [details] [review]
Bug 24436: Add handling for reserve transfer triggers
Comment 3 Martin Renvoize 2020-01-17 11:52:15 UTC
Created attachment 97510 [details] [review]
Bug 24436: Add 'Reserve' options to branchtransfers trigger
Comment 4 Martin Renvoize 2020-01-17 11:52:18 UTC
Created attachment 97511 [details] [review]
Bug 24436: Add handling for reserve transfer triggers
Comment 5 Martin Renvoize 2020-01-17 16:02:18 UTC
Created attachment 97539 [details] [review]
Bug 24436: Add 'Reserve' options to branchtransfers trigger
Comment 6 Martin Renvoize 2020-01-17 16:02:21 UTC
Created attachment 97540 [details] [review]
Bug 24436: Add handling for reserve transfer triggers
Comment 7 Nick Clemens 2020-03-12 12:52:10 UTC
Created attachment 100628 [details] [review]
Bug 24436: Add 'Reserve' options to branchtransfers trigger

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2020-03-12 12:52:12 UTC
Created attachment 100629 [details] [review]
Bug 24436: Add handling for reserve transfer triggers

To test:
1 - Place a hold for pickup at a different branch than you are signed in at on an item owned by current branch
2 - Check in the item
3 - Confirm the transfer
4 - Check the branchtransfers table and note the reason is 'Reserve'
5 - Set the preference CanMarkHoldsToPullAsLost to allow
6 - Place a hold on an item at branch you are singed in at
7 - Ensure you are not using strict sql modes (bug 22431)
8 - Go to Circulation->Holds to pull
9 - Mark hold as lost
10 - Check branchtransfers and confirm reason is "LostReserve"
11 - Check in item from step 1 at the correct branch
12 - Go to Circulation->Holds awaiting pickup
13 - Cancel the reserve
14 - Check branchtransfers and confirm reason is "CancelReserve"

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Martin Renvoize 2020-03-20 12:01:37 UTC
Created attachment 101087 [details] [review]
Bug 24436: Add 'Reserve' options to branchtransfers trigger

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Martin Renvoize 2020-03-20 12:01:40 UTC
Created attachment 101088 [details] [review]
Bug 24436: Add handling for reserve transfer triggers

To test:
1 - Place a hold for pickup at a different branch than you are signed in at on an item owned by current branch
2 - Check in the item
3 - Confirm the transfer
4 - Check the branchtransfers table and note the reason is 'Reserve'
5 - Set the preference CanMarkHoldsToPullAsLost to allow
6 - Place a hold on an item at branch you are singed in at
7 - Ensure you are not using strict sql modes (bug 22431)
8 - Go to Circulation->Holds to pull
9 - Mark hold as lost
10 - Check branchtransfers and confirm reason is "LostReserve"
11 - Check in item from step 1 at the correct branch
12 - Go to Circulation->Holds awaiting pickup
13 - Cancel the reserve
14 - Check branchtransfers and confirm reason is "CancelReserve"

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Martin Renvoize 2020-03-20 12:01:53 UTC
Rebased
Comment 12 Martin Renvoize 2020-03-20 16:04:56 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-04-03 21:15:34 UTC
not backported to 19.11.x